html, body {
  height: 100%;
  box-sizing: border-box;
}

#root, #root > div {
  height: 100%;
}

#root > div {
  height: 100%;
  flex-direction: column;
  display: flex;

  .main-content {
    flex: 1 0 auto;
  }

  .footer {
    flex-shrink: 0;
  }
}
